package org.vrabec.datagateway.rest;

import javax.ws.rs.ext.ContextResolver;
import javax.ws.rs.ext.Provider;

import org.joda.time.format.DateTimeFormat;
import org.vrabec.datagateway.utils.DateUtils;

import com.owlike.genson.Genson;
import com.owlike.genson.GensonBuilder;
import com.owlike.genson.ext.jodatime.JodaTimeBundle;

@Provider
public class GensonCustomResolver implements ContextResolver<Genson> {
	// configure the Genson instance
	private final Genson genson = new GensonBuilder().withBundle(
			new JodaTimeBundle().useDateFormatter(DateTimeFormat
					.forPattern(DateUtils.DATE_TIME_FORMAT_LONG))).create();

	@Override
	public Genson getContext(Class<?> type) {
		return genson;
	}
}
